/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration;

import net.mapeadores.basedefiches.corpus.fiche.*;
import fr.exemole.bdfserver.request.*;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurReplaceCommand extends AbstractAdministrationCommand {

    public static String TICKET_PARAMNAME = "ticket";
    int ticket;
    RedacteurItem redacteurItem;

    public RedacteurReplaceCommand() {
    }

    public static String getCommandString() {
        return "RedacteurReplace";
    }

    protected void checkAdministrationParameters() throws ParameterException {
    }

    protected void doAdministrationCommand() {
    }

    /*public BdfResponseParameters doCommand() throws ParameterException {
    TextParser textParser = new TextParser();
    textParser.setQuoteOptions(bdfUser.getTypoOptions().getQuoteOptions());
    Basedefiches basedefiches = bdfServer.getBasedefiches();
    AdministrationResponseParameters responseParameters = initResponseParameters();
    String param_ticket = requestMap.getParameter(TICKET_PARAMNAME);
    if (param_ticket == null) throw new ParameterException(ParameterException.PARAMETER_UNDEFINED, TICKET_PARAMNAME);
    try {
    ticket = Integer.parseInt(param_ticket);
    }
    catch(NumberFormatException nfe) {
    throw new ParameterException(ParameterException.PARAMETER_NOTINTEGER, param_ticket);
    }
    TicketAllocator horsSphereTicketAllocator = (TicketAllocator) basedefiches.getSubset(SubsetKey.ITEM_HORS_SPHERE);
    try {
    redacteurItem = (RedacteurItem) horsSphereTicketAllocator.get(ticket);
    if (redacteurItem == null) throw new ParameterException(ParameterException.PARAMETER_WRONGVALUE, TICKET_PARAMNAME + " = " + param_ticket);
    }
    catch(IndexOutOfBoundsException ioobe) {
    throw new ParameterException(ParameterException.PARAMETER_WRONGVALUE, TICKET_PARAMNAME + " = " + param_ticket);
    }
    String nvredac_param = requestMap.getParameter("nvredac");
    if (nvredac_param == null) throw new ParameterException(ParameterException.PARAMETER_UNDEFINED, "nvredac");
    RedacteurItemParser redacteurItemParser = new RedacteurItemParser(bdfServer.getBasedefiches(), bdfUser.getRedacteurKey(), textParser);
    String[] tokens = StringUtils.getTokens(nvredac_param, ';',StringUtils.EMPTY_EXCLUDE);
    FicheItemList ficheItemList = new FicheItemList();
    redacteurItemParser.parseRedacteurItemList(tokens, ficheItemList,null);
    int result = 0;
    if (ficheItemList.size() == 1) {
    RedacteurItem newRedacteurItem = (RedacteurItem) ficheItemList.get(0);
    if (!newRedacteurItem.equals(redacteurItem)) {
    result = SphereUtils.replaceRedacteurItem(bdfServer.getBasedefichesEditor(),redacteurItem,newRedacteurItem);
    }
    }
    else if (ficheItemList.size() > 1) {
    RedacteurItem[] redacteurItemArray = new RedacteurItem[ficheItemList.size()];
    for (int i = 0; i < ficheItemList.size();i++) {
    redacteurItemArray[i] = (RedacteurItem) ficheItemList.getFicheItem(i);
    }
    result = SphereUtils.replaceRedacteurItem(bdfServer.getBasedefichesEditor(), redacteurItem, redacteurItemArray);
    }
    if (result > 0) {
    Object[] objArray = new Object[3];
    objArray[0] = FicheItemWriter.toString(redacteurItem);
    objArray[1] = FicheItemWriter.toString(ficheItemList,new SeparatorOptionsBean(';',false,true),null);
    objArray[2] = new Integer(result);
    responseParameters.setCmdMessage(ResponseParameters.DONE_MESSAGE, "admin_msg_remplacement",objArray);
    }
    responseParameters.setServletPageType(AdministrationResponseParameters.HORSSPHEREFORM_PAGE);

    return responseParameters;
    return null;
    }*/
}
