/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import fr.exemole.bdfserver.servlets.administration.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.managers.*;
import java.io.*;
import javax.servlet.http.*;
import net.mapeadores.util.html.HTMLUtils;
import java.util.*;
import net.mapeadores.basedefiches.corpus.fiche.*;


/**
 *
 * @author Vincent Calame
 */
public class MemoryTestPage extends AdministrationHtmlPage {

    public MemoryTestPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        /*WeakHashMap map = Fiche.weakHashMap;
        append("Total : " + map.size());
        appendBr();
        System.gc();
        append("Premier appel : " + map.size());
        System.gc();
        appendBr();
        append("Second appel : " + map.size());*/
        end();
    }

}
