/* BasedefichesLib_API - Copyright (c) 20010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.album;

import net.mapeadores.basedefiches.album.metadata.AlbumMetadataEditor;
import java.io.InputStream;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumEditor {

    public Album getAlbum();

    public AlbumMetadataEditor getAlbumMetadataEditor();

    public AlbumImage createAlbumImage(short type, String imageName) throws ExistingNameException;

    public void updateAlbumImage(AlbumImage albumImage, InputStream inputStream) throws IOException;

}
