/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus;

import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadata;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;


/**
 *
 * @author Vincent Calame
 */
public interface Corpus extends Subset {

    public CorpusMetadata getCorpusMetadata();

    /**
     * Résultat équivalent à (AbregeFiche) getSubsetItemById()
     */
    public AbregeFiche getAbregeFicheByIdcorpus(int idcorpus);

    /**
     * Retourne un objet fiche avec uniquement le contenu de l'entete
     */
    public Fiche getEnteteFiche(AbregeFiche abregeFiche);

    public Fiche getFiche(AbregeFiche abregeFiche);

}
