/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus;

import net.mapeadores.basedefiches.ExistingIdException;
import net.mapeadores.basedefiches.corpus.metadata.CorpusMetadataEditor;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusEditor {

    public CorpusMetadataEditor getCorpusMetadataEditor();

    public Corpus getCorpus();

    public AbregeFiche createFiche(int idcorpus) throws ExistingIdException, NoMasterIdsubsetException;

    public void saveFiche(AbregeFiche abregeFiche, Fiche fiche);

    public boolean removeFiche(AbregeFiche abregeFiche);

    public void setDate(AbregeFiche abregeFiche, int dateInteger, boolean modification);

}
