/* BasedefichesLib_API - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public class MutableFicheItemList extends DefaultFicheItemList {

    private static final long serialVersionUID = 2L;

    public MutableFicheItemList() {
        super();
    }

    public MutableFicheItemList(int size) {
        super(size);
    }

    public MutableFicheItemList(FicheItem ficheItem) {
        super(ficheItem);
    }

    public void clear() {
        innerClear();
    }

    /**
     *
     *
     *@throws IllegalArgumentException si ficheItem est nul
     */
    public void addFicheItem(FicheItem ficheItem) {
        innerAddFicheItem(ficheItem);
    }

    public void addFicheItemList(FicheItemList ficheItemList) {
        innerAddFicheItemList(ficheItemList);
    }

    public boolean replaceFicheItem(FicheItem oldFicheItem, FicheItem newFicheItem) {
        return innerReplaceFicheItem(oldFicheItem, newFicheItem);
    }

    public boolean replaceFicheItem(FicheItem oldFicheItem, FicheItem[] newFicheItemArray) {
        return innerReplaceFicheItem(oldFicheItem, newFicheItemArray);
    }

}
