/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.croisement;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.SubsetCouple;


/**
 *
 * @author Vincent Calame
 */
public interface Croisement {

    public Basedefiches getBasedefiches();

    public SubsetCouple getSubsetCouple();

    public CroisementItem getCroisementItem(SubsetKey subsetKey, int ticket);

    /**
     *
     * Retourne 0 s'il n'y a pas de poids.
     */
    public int getPoids(SubsetKey subsetKey1, int ticket1, SubsetKey subsetKey2, int ticket2);

}
