/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.patterns;


/**
 *
 * @author Vincent Calame
 */
public class FormatPart {

    public static final short STRING_CATEGORY = 1;
    public static final short OBJECT_CATEGORY = 2;
    private short category;
    private String string = null;
    private int subType;
    private Object object;

    public FormatPart(int subType, Object obj) {
        this.category = OBJECT_CATEGORY;
        this.subType = subType;
        this.object = obj;
    }

    public FormatPart(String string) {
        this.string = string;
        this.category = STRING_CATEGORY;
    }

    public String getString() {
        return string;
    }

    public short getCategory() {
        return category;
    }

    public Object getObject() {
        return object;
    }

    public int getSubType() {
        return subType;
    }

}
