/* BasedefichesLib_Explore - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.selection.MotcleSelectOptions;
import java.util.List;
import java.util.ArrayList;


/**
 *
 * @author Vincent Calame
 */
public class MotcleFilterWrapper {

    private List<MotcleSelectOptions> optionsList = new ArrayList<MotcleSelectOptions>();
    private MotcleFilter motcleFilter;

    public MotcleFilterWrapper(MotcleFilter motcleFilter) {
        this.motcleFilter = motcleFilter;
    }

    public MotcleFilter getMotcleFilter() {
        return motcleFilter;
    }

    public MotcleSelectOptions getMotcleSelectOptions(int index) {
        return optionsList.get(index);
    }

    public int getMotcleSelectOptionsCount() {
        return optionsList.size();
    }

    public void addMotcleSelectOptions(MotcleSelectOptions motcleSelectOptions) {
        optionsList.add(motcleSelectOptions);
    }

}
