/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.api;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractionConstants {

    public final static short ASCENDING_SORT = 1;
    public final static short DESCENDING_SORT = 2;
    public final static short POIDS_TYPE = 11;
    public final static short TITRE_TYPE = 12;
    public final static short ANNEE_TYPE = 13;
    public final static short LANG_TYPE = 14;
    public final static short PAYS_TYPE = 15;
    public final static short FIELDS_TYPE = 16;
    public final static String GROUP_DEFAULT_TAGNAME = "group";
    public final static String EXTRAITCORPUS_DEFAULT_TAGNAME = "extraitcorpus";
    public final static String PACK_DEFAULT_TAGNAME = "pack";
    public final static String FICHE_DEFAULT_TAGNAME = "fiche";
    public final static String EXTRAITTHESAURUS_DEFAULT_TAGNAME = "extraitthesaurus";
}
