/* BasedefichesLib_Export - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport;

import net.mapeadores.basedefiches.format.BasedefichesFormatDef;


/**
 *
 * @author Vincent Calame
 */
public interface ColDef {

    public final static short FICHEFORMAT_TYPE = 1;
    public final static short EXTENSION_TYPE = 2;

    /**
     * N'est jamais nul.
     */
    public String getColName();

    /**
     * N'est jamais nul.
     */
    public String getColLib();

    /**
     *
     * @return FICHEFORMAT_TYPE ou EXTENSION_TYPE
     */
    public short getType();

    /**
     *  N'est pas nul si getType() =  FICHEFORMAT_TYPE
     */
    public BasedefichesFormatDef getBasedefichesFormatDef();

    /**
     *  N'est pas nul si getType() = EXTENSION_TYPE
     */
    public String[] getExtensionLineArray();

}
