/* BasedefichesLib_Export - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport;


/**
 *
 * @author Vincent Calame
 */
public interface ColDefErrorHandler {

    public void wrongParameterLine(int lineNumber, String line, String key);

    public void tooManyLineWarning(int lineNumber, String line);

    public void missingFormatSourceLineError(int lineNumber);

    public void formatSourceError(int lineNumber, String key, Object value);

    public void formatPatternError(int lineNumber, String key, Object value);

    public void formatInstructionError(int lineNumber, String key, Object value);

}
