/* BasedefichesLib_Impl - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import java.util.List;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.croisement.Croisement;
import net.mapeadores.basedefiches.croisement.CroisementEntry;
import net.mapeadores.basedefiches.croisement.CroisementList;


/**
 *
 * @author Vincent Calame
 */
public interface EditableCroisement extends Croisement {

    public boolean removeCroisement(SubsetKey subsetKey1, int ticket1, SubsetKey subsetKey2, int ticket2);

    public int clear(SubsetKey subsetKey, int ticket);

    public void addCroisement(SubsetKey subsetKey, int ticket, CroisementList croisementList, short updateType);

    public void initCroisements(List<CroisementEntry> croisementEntryList);

    public boolean isExternalyEditable();

}
