/* BasedefichesLib_Xml - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import java.io.IOException;
import net.mapeadores.basedefiches.metadata.BasedefichesMetadata;
import net.mapeadores.util.xml.UtilXMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesMetadataXMLWriter extends UtilXMLWriter {

    public BasedefichesMetadataXMLWriter() {
    }

    public void appendBasedefichesMetadata(BasedefichesMetadata basedefichesMetadata) throws IOException {
        openTag("basedefiches-metadata");
        addSimpleElement("authority-uuid", basedefichesMetadata.getAuthorityUUID());
        addSimpleElement("basedefiches-name", basedefichesMetadata.getBasedefichesName());
        BasedefichesXMLUtils.appendIntituleList(basedefichesMetadata, this);
        closeTag("basedefiches-metadata");
    }

}
