/* BasedefichesLib_Xml - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;


/**
 *
 * @author Vincent Calame
 */
public interface BasedefichesXmlErrorHandler {

    public void unknownTagWarning(String tagName);

    public void wrongElementValueError(String tagName, String value);

    public void emptyAttributeError(String tagName, String attributeName);

    public void wrongIntegerAttributeError(String tagName, String attributeName, String attributeValue);

    public void wrongLangAttributeError(String tagName, String value);

    public void wrongTypeAttributeError(String tagName, String type);

    public void wrongDateAttributeError(String tagName, String attributeName, String date);

}
