/* BdfServer
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.balayages;

import fr.exemole.bdfserver.managers.transformation.*;


/**
 *
 * @author Vincent Calame
 */
public interface BalayageConstants extends TransformationConstants {

    public final static short LANG_OPTION_UNKNOWN = 0;
    public final static short LANG_OPTION_NONE = 1;
    public final static short LANG_OPTION_DIR = 2;
    public final static short UNIQUE_TYPE = 0;
    public final static short CORPUS_TYPE = 1;
    public final static short FICHE_TYPE = 2;
    public final static short THESAURUS_TYPE = 3;
    public final static short MOTCLE_TYPE = 4;
    public final static short SPHERE_TYPE = 5;
    public final static short REDACTEUR_TYPE = 6;
    public final static short DOCUMENT_TYPE = 7;
    public final static short ALBUM_TYPE = 8;
}
