/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;
import net.mapeadores.util.text.LibelleBean;


/**
 *
 * @author Vincent Calame
 */
public class ComponentUiBean implements Serializable {

    private HtmlInputBean htmlInputBean = null;
    private String key = null;
    private LibelleBean[] libelleBeanArray = null;
    private String options = null;
    private boolean duplicate = false;

    public ComponentUiBean() {
    }

    public HtmlInputBean getHtmlInputBean() {
        return htmlInputBean;
    }

    public void setHtmlInputBean(HtmlInputBean htmlInputBean) {
        this.htmlInputBean = htmlInputBean;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getOptions() {
        return options;
    }

    public void setOptions(String options) {
        this.options = options;
    }

    public LibelleBean[] getLibelleBeanArray() {
        return libelleBeanArray;
    }

    public void setLibelleBeanArray(LibelleBean[] libelleBeanArray) {
        this.libelleBeanArray = libelleBeanArray;
    }

    public boolean isDuplicate() {
        return duplicate;
    }

    public void setDuplicate(boolean duplicate) {
        this.duplicate = duplicate;
    }

}
