/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class ConfigurationManagerBean implements Serializable, ManagerBean {

    private String contextUrl = null;
    private String insertUrl = null;
    private LangConfigBean langConfigBean = null;
    private String wwwRootPath = null;
    private boolean originalAllowed = false;
    private OutputDirectoryBean[] outputDirectoryBeanArray = null;

    public ConfigurationManagerBean() {
    }

    public String getContextUrl() {
        return contextUrl;
    }

    public void setContextUrl(String contextUrl) {
        this.contextUrl = contextUrl;
    }

    public String getInsertUrl() {
        return insertUrl;
    }

    public void setInsertUrl(String insertUrl) {
        this.insertUrl = insertUrl;
    }

    public LangConfigBean getLangConfigBean() {
        return langConfigBean;
    }

    public void setLangConfigBean(LangConfigBean langConfigBean) {
        this.langConfigBean = langConfigBean;
    }

    public String getWwwRootPath() {
        return wwwRootPath;
    }

    public void setWwwRootPath(String wwwRootPath) {
        this.wwwRootPath = wwwRootPath;
    }

    public boolean isOriginalAllowed() {
        return originalAllowed;
    }

    public void setOriginalAllowed(boolean originalAllowed) {
        this.originalAllowed = originalAllowed;
    }

    public OutputDirectoryBean[] getOutputDirectoryBeanArray() {
        return outputDirectoryBeanArray;
    }

    public void setOutputDirectoryBeanArray(OutputDirectoryBean[] outputDirectoryBeanArray) {
        this.outputDirectoryBeanArray = outputDirectoryBeanArray;
    }

}
