/* BaseDeFiches - Article Management System
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class XslTemplateBean implements Serializable {

    private String templateName;
    private String transformationKey;

    public XslTemplateBean() {
    }

    public XslTemplateBean(String sourceKey, String templateName) {
        setTransformationKey(sourceKey);
        setTemplateName(templateName);
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTransformationKey() {
        return transformationKey;
    }

    public void setTransformationKey(String transformationKey) {
        this.transformationKey = transformationKey;
    }

}
