/* BdfServer
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.managers.transformation;


/**
 *
 * @author Vincent Calame
 */
public interface TransformationConstants {

    public final static String BDF_PATH_PARAMETER = "BDF_PATH";
    public final static String BDF_REVERSEPATH_PARAMETER = "BDF_REVERSEPATH";
    public final static String BDF_FILENAME_PARAMETER = "BDF_FILENAME";
    public final static String BDF_LANG_PARAMETER = "BDF_LANG";
    public final static String BDF_FILEBASENAME_PARAMETER = "BDF_FILEBASENAME";
    public final static String BDF_FILEEXTENSION_PARAMETER = "BDF_FILEEXTENSION";
    public final static String BDF_BALAYAGEROOT_PARAMETER = "BDF_BALAYAGEROOT";
    public final static String BDF_BASEDEFICHESPATH_PARAMETER = "BDF_BASEDEFICHESPATH";
    public final static String WORKINGLANG_PARAMETER = "WORKINGLANG";
    public final static String FORMATLOCALE_PARAMETER = "FORMATLOCALE";
}
