/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.form;

import java.util.Set;
import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author Vincent Calame
 */
public interface ListIndexationElement extends IncludeElement {

    /**
     * Doit avoir les valeurs de InputOption
     */
    public short getListType();

    public Thesaurus getThesaurus();

    public boolean isNoneAllowed();

    public int getWorkingLangInteger();

    public boolean isWithIdalpha();

    public String getIdalphaSeparator();

    public Set<Motcle> getSelectedMotcleSet();

    public boolean isNewIndexation();

}
