/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.*;
import net.mapeadores.basedefiches.include.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultTextIndexationElement extends AbstractIncludeElement implements TextIndexationElement {

    private String value;
    private boolean redimAllowed;
    private int rows;
    private short widthType;

    public DefaultTextIndexationElement(FilteredIncludeKey filteredIncludeKey) {
        super(filteredIncludeKey);
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public boolean isRedimAllowed() {
        return redimAllowed;
    }

    public void setRedimAllowed(boolean redimAllowed) {
        this.redimAllowed = redimAllowed;
    }

    public int getRows() {
        return rows;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

    public short getWidthType() {
        return widthType;
    }

    public void setWidthType(short widthType) {
        this.widthType = widthType;
    }

}
