<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="titre|soustitre|propriete|texte|annexe|lang">
        <xsl:apply-templates select="*"/>
    </xsl:template>

    <xsl:template match="information|redacteurs">
        <xsl:apply-templates select="*" mode="MODE_INLINE"/>
    </xsl:template>

    <xsl:template match="titre|soustitre|propriete|information|redacteurs|lang" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="*" mode="MODE_BLOCK">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="titre|soustitre|propriete|information|redacteurs|lang" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="*" mode="MODE_LISTITEM">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="titre|soustitre|propriete|information|redacteurs|lang" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="', '"/>
        <xsl:apply-templates select="*" mode="MODE_INLINE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="titre|soustitre|propriete|information|redacteurs|lang" mode="MODE_CODE">
        <xsl:param name="PARAM_SEP" select="'; '"/>
        <xsl:apply-templates select="*" mode="MODE_CODE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
        </xsl:apply-templates>
    </xsl:template>

</xsl:stylesheet>