<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

    <xsl:template match="extraitcorpus" mode="MODE_INTITULE">
        <xsl:apply-templates select="intitule" mode="MODE_LIB"/>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_INTITULE">
        <xsl:apply-templates select="intitule" mode="MODE_LIB"/>
    </xsl:template>

    <xsl:template match="fiche" mode="MODE_INTITULE">
        <xsl:apply-templates select="intitule" mode="MODE_LIB"/><xsl:text> – </xsl:text>
        <xsl:choose>
            <xsl:when test="entete = true()"><xsl:value-of select="entete/titre"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="titre"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="intitule" mode="MODE_LIB">
        <xsl:variable name="var_LIB" select="string(lib[@xml:lang = $WORKINGLANG])"/>
        <xsl:choose>
            <xsl:when test="string-length($var_LIB) &gt; 0"><xsl:value-of select="$var_LIB"/></xsl:when>
            <xsl:when test="count(lib[@vo != 0]) &gt; 0"><xsl:value-of select="lib[@vo != 0][1]"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="lib[1]"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>



</xsl:stylesheet>
