/* BdfServer
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.options.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import fr.exemole.bdfserver.beans.*;
import fr.exemole.bdfserver.ui.*;


/**
 *
 * @author Vincent Calame
 */
public interface FieldUI extends ComponentUI {

    public CorpusField getCorpusField();

    public InputOption getInputOption();

    /* Peut être nul si injustifié */
    public ValueOption getValueOption();

}
