/* BdfServer - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.ComponentUI;
import fr.exemole.bdfserver.ui.options.InputOption;
import fr.exemole.bdfserver.ui.options.LimitOption;
import fr.exemole.bdfserver.ui.options.PiocheSelectOption;
import fr.exemole.bdfserver.ui.options.ValueOption;
import net.mapeadores.basedefiches.include.FilteredIncludeKey;
import net.mapeadores.util.text.LibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public interface IncludeUI extends ComponentUI {

    public FilteredIncludeKey getFiteredIncludeKey();

    public boolean useDefaultLibelle();

    public boolean prefixWithIdalpha();

    public LibelleHolder getCustomLibelle();

    public InputOption getInputOption();

    public LimitOption getLimitOption();

    public ValueOption getValueOption();

    public PiocheSelectOption getPiocheSelectOption();

}
