/* BdfServer_Commands - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.selection;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;

/**
 *
 * @author Vincent Calame
 */
public class SelectionCommandFactory implements BdfCommand2Factory {

    public SelectionCommandFactory() {

    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(SelectionChangeCommand.COMMANDNAME)) {
            return new SelectionChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(SelectionDefaultCommand.COMMANDNAME)) {
            return new SelectionDefaultCommand(bdfContext, requestMap);
        }
        return null;
    }
}
