/* BdfServer_Commands
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;


/**
 *
 * @author Vincent Calame
 */
public interface PiocheConstants extends BdfConstants {

    public final static String CORPUS_PARAMNAME = "corpus";
    public final static String FIELD_PARAMNAME = "field";
    public final static String APPELANT_PARAMNAME = "appelant";
    public final static String LAT_PARAMNAME = "lat";
    public final static String LONG_PARAMNAME = "lon";
    public static final String CATEGORY_PARAMNAME = "category";
    public static final String ACTION_PARAMNAME = "action";
    public static final String FICHIER_PARAMNAME = "fichier";
    public static final String IMAGEFIELD_PARAMNAME = "imagefield";
    public static final String FILENUMBER_PARAMNAME = "filenumber";
    public static final String RECHERCHE_PARAMNAME = "recherche";
    public static final String PARAM_PARAMNAME = "param";
    public static final String SUBSETS_PARAMNAME = "subsets";
    public static final String LIMITE_PARAMNAME = "limite";
    public static final String TEMPFILENAME_PARAMNAME = "tempfilename";
    public static final String PIOCHESELECT_PARAMNAME = "piocheselect";
    public static final String IDTHS_PARAMVALUE = "Idths";
    public final static short CATEGORY_CORPUS = 1;
    public final static short CATEGORY_THESAURUS = 2;
    public final static short CATEGORY_SPHERE = 3;
    /*public final static short CATEGORY_DOCUMENT = 4;
    public final static short CATEGORY_DATATION = 5;*/
    public final static short CATEGORY_LANGUE = 6;
    public final static short CATEGORY_PAYS = 7;
    public final static short CATEGORY_GEOCODAGE = 8;
    public final static short CATEGORY_IMAGESOURCE = 9;
    public static final short MOTCLE_PAGE = 1;
    public static final short FICHE_PAGE = 2;
    public static final short REDACTEUR_PAGE = 3;
    public static final short LANGUE_PAGE = 4;
    public static final short PAYS_PAGE = 5;
    public static final short GEOCODAGE_PAGE = 6;
    public static final short IMAGESOURCE_PAGE = 7;
    public static final short FICHIERIMAGE_JSON = 16;
    public static final short GET_IDALPHA = 21;
    public static final short GET_IDTHS = 22;
    public static final short GET_LIBELLE = 23;
    public static final String INTKEY_WANTED = "intkey";
    public static final String IDALPHAKEY_INTKEY_WANTED = "idalphakey_intkey";
    public static final String IDALPHAKEY_TEXT_WANTED = "idalphakey_text";
}
