/* BdfServer_DirectoryStorage - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.DocumentSubsetXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogDocumentSubsetXmlErrorHandler extends LogBasedefichesXmlErrorHandler implements DocumentSubsetXmlErrorHandler {

    public LogDocumentSubsetXmlErrorHandler(MutableProcessLog mutableResultLog) {
        super(mutableResultLog);
    }

    public void wrongIdsubetError(String idsubset) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongIdsubet");
        rsl.setObject(idsubset);
    }

    public void wrongBasenameError(String basename) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongBasename");
        rsl.setObject(basename);
    }

    public void basenameDoublonError(String basename) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("basenameDoublon");
        rsl.setObject(basename);
    }

}
