/* BdfServer_DirectoryStorage - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.transformationstorage.stream;

import fr.exemole.bdfserver.BdfServer;
import java.io.File;
import java.io.IOException;
import net.mapeadores.util.io.StreamTransformer;
import net.mapeadores.util.sxio.SXStreamTransformer;


/**
 *
 * @author Vincent Calame
 */
public class SxStreamTransformerStorageInfo extends DirectoryStreamTransformerStorageInfo {

    public SxStreamTransformerStorageInfo() {
    }

    protected void process(String extension, File directory, BdfServer bdfServer) throws IOException {
        MessageStreamTransformerErrorHandler eh = new MessageStreamTransformerErrorHandler();
        StreamTransformer streamTransformer = SXStreamTransformer.buildFromDirectory(extension, directory, eh);
        if (eh.hasError()) {
            this.setTransformerError(eh.getErrorMessage());
        } else {
            setStreamTransformer(streamTransformer);
        }
    }

}
