/* BdfServer_Html - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.catalogs;

/*
 * Deux types de classe :
 *- celles de mise en forme (commençant par FF_) et définies dans les Css
 *- celles servant de repère à JQuery (commençant par JQ_FF)
 *
 *Par ailleurs, les identifiants commencent par ID_FF et les classes introduites
 * par JQuery par jq_FF (et sont en minuscules)
 */

/**
 *
 * @author Vincent Calame
 */
public interface FicheFormCatalog {

    public final static String FICHEFORM_JAVASCRIPT_LIB =
            "ficheform_utils.js, ficheform_core.js, ficheform_piocheitem.js, ficheform_indexation.js, ficheform_liage.js, ficheform_texte.js, ficheform_mandatory.js, ficheform_labelinput.js, ficheform_association.js, ficheform_geocodage.js, ficheform_imagesource.js, ficheform_init.js";
    public final static String FF_SOUSBLOC = "FF_SOUSBLOC";
    public final static String FF_TEXTFIELD_CLASS = "FF_TEXTFIELD";
    public final static String FF_TEXTFIELD_INTITULEDIV_CLASS = "FF_TEXTFIELD_INTITULEDIV";
    public final static String FF_TEXTFIELD_DEUXPOINTS_CLASS = "FF_TEXTFIELD_DEUXPOINTS";
    public final static String FF_TEXTFIELD_CHAMP_CLASS = "FF_TEXTFIELD_CHAMP";
    public final static String FF_COL_INTITULE = "FF_COL_INTITULE";
    public final static String FF_COL_DEUXPOINTS = "FF_COL_DEUXPOINTS";
    public final static String FF_COL_CHAMP = "FF_COL_CHAMP";
    public final static String FF_ITEMFIELD_CLASS = "FF_ITEMFIELD";
    public final static String FF_ITEMFIELD_INTITULE_CLASS = "FF_ITEMFIELD_INTITULE";
    public final static String FF_ITEMFIELD_DEUXPOINTS_CLASS = "FF_ITEMFIELD_DEUXPOINTS";
    public final static String FF_ITEMFIELD_CHAMP_CLASS = "FF_ITEMFIELD_CHAMP";
    public final static String FF_IFRAME_CLASS = "FF_IFRAME";
    public final static String FF_IFRAME_INTITULEDIV_CLASS = "FF_IFRAME_INTITULEDIV";
    public final static String FF_IFRAME_CONTENU_CLASS = "FF_IFRAME_CONTENU";
    public final static String FF_NOTEDITABLE_CLASS = "FF_NOTEDITABLE";
    public final static String FF_NOTEDITABLE_INTITULE_CLASS = "FF_NOTEDITABLE_INTITULE";
    public final static String FF_NOTEDITABLE_DEUXPOINTS_CLASS = "FF_NOTEDITABLE_DEUXPOINTS";
    public final static String FF_NOTEDITABLE_CHAMP_CLASS = "FF_NOTEDITABLE_CHAMP";
    public final static String FF_COMMENT_CLASS = "FF_COMMENT";
    public final static String FF_CHECKBOX_CLASS = "FF_CHECKBOX";
    public final static String FF_FICHE_INPUT = "FF_INPUT";
    public final static String FF_XSMALL = "FF_XSMALL";
    public final static String FF_SMALL = "FF_SMALL";
    public final static String FF_MEDIUM = "FF_MEDIUM";
    public final static String FF_LARGE = "FF_LARGE";
    public final static String FF_COMPLET = "FF_COMPLET";
    public final static String FF_NEXT = "FF_NEXT";
    public final static String FF_SOUSBLOC_INTITULE = "FF_SOUSBLOC_INTITULE";
    public final static String FF_TABLE_SAISIE = "FF_TABLE_SAISIE";
    public final static String JQ_FF_LANGUE = "JQ_FF_LANGUE";
    public final static String JQ_FF_PAYS = "JQ_FF_PAYS";
    public final static String JQ_FF_SPHERE = "JQ_FF_SPHERE";
    public final static String JQ_FF_GEOCODAGE = "JQ_FF_GEOCODAGE";
    public final static String JQ_FF_IMAGESOURCE = "JQ_FF_IMAGESOURCE";
    public final static String JQ_FF_IMAGECELL = "JQ_FF_IMAGECELL";
    public final static String JQ_FF_MOTCLE = "JQ_FF_MOTCLE";
    public final static String JQ_FF_FICHE = "JQ_FF_FICHE";
    public final static String JQ_FF_LIAGE = "JQ_FF_LIAGE";
    public final static String JQ_FF_ASSOCIATION = "JQ_FF_ASSOCIATION";
    public final static String JQ_FF_WITHPOIDS = "JQ_FF_WITHPOIDS";
    public final static String JQ_FF_TEXTE = "JQ_FF_TEXTE";
    public final static String JQ_FF_MANDATORY = "JQ_FF_MANDATORY";
    public final static String JQ_FF_INTITULE = "JQ_FF_INTITULE";
    public final static String JQ_FF_LABELINPUT = "JQ_FF_LABELINPUT";
    public final static String JQ_FF_INPUTSOUSBLOC = "JQ_FF_INPUTSOUSBLOC";
    public final static String JQ_FF_LISTSOUSBLOC = "JQ_FF_LISTSOUSBLOC";
    public final static String JQ_FF_POIDS = "JQ_FF_POIDS";
    public final static String JQ_FF_LABELTEXT = "JQ_FF_LABELTEXT";
    public final static String ID_FF_OUTILS_PREFIX = "ID_FF_OUTILS_";
    public final static String ID_FF_BLOC_PREFIX = "ID_FF_BLOC_";
    public final static String ID_FF_CHAMP_PREFIX = "ID_FF_CHAMP_";
}

