/* BdfServer_Html - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.catalogs;


/**
 *
 * @author Vincent Calame
 */
public interface GlobalCatalog {

    public final static String TEST_JAVASCRIPT = "_test.js";
    public final static String BDF_JAVASCRIPT = "_bdf.js";
    public final static String MENU_JAVASCRIPT = "bdf_menu.js";
    public final static String GLB_P_SMALLLINKS = "SmallLinks";
    /*
     * Classe du corps de formulaire
     */
    public final static String DIV_GLB_FORMBODY = "d_GLB_FORMBODY";
    /*
     * Classe des entêtes de formulaire
     */
    public final static String DIV_GLB_FORMHEADER = "d_GLB_FORMHEADER";
    /**
     * Classe des div comprenant un bouton de soummission au début de formulaire
     */
    public final static String DIV_GLB_FIXEDSUBMIT = "d_GLB_FIXEDSUBMIT";
    /**
     * Classe des DIV contenant une liste déroulante d'ensembles de la base (par exemple, la liste des sphères au début de la page d'une sphère)
     */
    public final static String DIV_GLB_SUBSETSELECT = "d_GLB_SUBSETSELECT";
    /**
     * Table des rédacteurs inactifs.
     */
    public final static String TABLE_SPH_INACTIF = "tb_SPH_INACTIF";
    /**
     * Classe utilisée  pour des liens placés en haut du page renvoyant à d'autres pages.
     */
    public final static String GLB_P_TOOLBARLINKS = "ToolBarLinks";
    /**
     * Classe utilisée pour l'intitulé de la page en cours.
     */
    public final static String GLB_SPAN_CURRENTPAGE = "CurrentPage";
    /**
     * Classe utilisée pour des petits liens insérés à la suite d'un texte.
     */
    public final static String GLB_SPAN_SMALLLINKS = "SmallLinks";
    /**
     * Classe utilisée  pour les messages d'alerte.
     */
    public final static String GLB_P_WARNING = "p_GLB_WARNING";
    /**
     * Classe d'une liste de liens (par exemple, les statistiques d'une thésaurus)
     */
    public final static String UL_GLB_SMALLLINKLIST = "u_GLB_SMALLLINKLIST";
    /**
     * Classe utilisée par JQuery pour marquer si un élément est visible ou non.
     */
    public final static String INVISIBLE = "Invisible";
     /**
     * Classe des petites boites avec + et - signifiant le déploiement
     */
    public final static String SPAN_GLB_DEPLOYBOX = "s_GLB_DEPLOYBOX";
    /**
     * Classe des DIV contenant les petites boites de déploiement ainsi que le texte : par exemple : +rattachement
     */
    public final static String DIV_GLB_DEPLOYTITLE = "d_GLB_DEPLOYTITLE";

}
