/* BdfServer_Interaction - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.instruction;

import net.mapeadores.util.servlets.ResponseHandler;
import net.mapeadores.util.servlets.handlers.RedirectResponseHandler;
import fr.exemole.bdfserver.users.BdfUser;


/**
 *
 * @author Vincent Calame
 */
public class RedirectBdfInstruction implements BdfInstruction, BdfInstructionConstants {

    private String path;

    public RedirectBdfInstruction(String path) {
        this.path = path;
    }

    public short getBdfUserNeed() {
        return NONE_BDFUSER;
    }

    public ResponseHandler runInstruction(BdfUser bdfUser) {
        return new RedirectResponseHandler(path);
    }

}
