/* @@@@@APPLICATION@@@@@ - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.css.parse;

import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.CSSParseException;
import org.w3c.css.sac.ErrorHandler;


/**
 *
 * @author Vincent Calame
 */
public class OdCssErrorHandler implements ErrorHandler {

    public OdCssErrorHandler() {
    }

    public void error(CSSParseException exception) throws CSSException {
        System.out.println(exception.getMessage());
    }

    public void fatalError(CSSParseException exception) throws CSSException {
        System.out.println(exception.getMessage());
    }

    public void warning(CSSParseException exception) throws CSSException {
        System.out.println(exception.getMessage());
    }

}
