/* ScrutariDataExport - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.dataexport.api;


/**
 *
 * @author Vincent Calame
 */
public interface BaseMetadataExport {

    public final static int INTITULE_SHORT = 1;
    public final static int INTITULE_LONG = 2;

    public void setAuthorityUUID(String authorityUUID);

    public void setBaseName(String baseName);

    public void setBaseIcon(String baseIcon);

    public void setIntitule(int intituleType, String lang, String intituleValue);

    public void addLangUI(String lang);

}
