/* UtilLib - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.attr;


/**
 *
 * @author Vincent Calame
 */
public class DefaultSimpleAttribute implements SimpleAttribute {

    private String key;
    private String value;

    public DefaultSimpleAttribute(String key) {
        this.key = key;
    }

    public DefaultSimpleAttribute(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    protected void innerSetValue(String value) {
        this.value = value;
    }

}
