/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.beans;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class ParamBean implements Serializable {

    private String name;
    private String value;

    public ParamBean() {
    }

    public ParamBean(ParamBean paramBean) {
        this.name = paramBean.getName();
        this.value = paramBean.getValue();
    }

    public ParamBean(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
