/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives.io;

import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface PrimitivesReader {

    public int readInt() throws IOException;

    public short readShort() throws IOException;

    public boolean readBoolean() throws IOException;

    public char readChar() throws IOException;

    public String readString() throws IOException;

    public double readDouble() throws IOException;

    public long readLong() throws IOException;

    public byte readByte() throws IOException;

}
