/* UtilLib - Copyright (c) 20007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;


/**
 *
 * @author Vincent Calame
 */
public class IdalphaUtils {

    private IdalphaUtils() {
    }

    public static boolean isValidNoSpaceChar(char carac) {
        if ((carac >= 'a') && (carac <= 'z')) {
            return true;
        }
        if ((carac >= 'A') && (carac <= 'Z')) {
            return true;
        }
        if ((carac >= '0') && (carac <= '9')) {
            return true;
        }
        switch (carac) {
            case '[':
            case ']':
            case '(':
            case ')':
            case '_':
            case '-':
            case '.':
            case '/':
            case '@':
            case ':':
            case '~':
                return true;
            default:
                return false;
        }
    }

}
