/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.terme;

import net.mapeadores.util.text.LibelleHolder;


/**
 *
 *Tout implémentation d'une interface terme doit respecter la chose suivante :
 *<ul>
 *<li>terme.getTermeDomain().getTerme(terme.getCode()).equals(terme)
 *<li>termeDomain.getTerme(code).getTermeDomain().equals(termeDomain)
 *</ul>
 *
 * @author  Vincent Calame
 */
public interface Terme extends LibelleHolder {

    /**
     * Retourne le code du terme.
     */
    public int getCode();

    public TermeDomain getTermeDomain();

}
