/* UtilLib_Servlet - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;


/**
 * Sert dans l'élaboration d'extension au paquet fr.exemole.bdfserver.servlets.
 * Une classe étendant cette interface doit disposer d'un constructeur public sans argument.
 *
 * @author Vincent Calame
 */
public interface ResponsePrinterFactory {

    public ResponseHandler getResponsePrinterInstance(ResponseParameters responseParameters);

}
