/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.envoi;

import fr.exemole.bdfserver.response.EnvoiResponseParameters;
import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.users.*;

import net.mapeadores.basedefiches.beans.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.util.text.UTF8Bridge;
import net.mapeadores.util.text.StringUtils;
import java.util.*;
import fr.exemole.bdfserver.request.ParameterException;


/**
 *
 * @author Vincent Calame
 */
public class DefaultCommand extends AbstractEnvoiCommand {

    public DefaultCommand() {
    }

    protected EnvoiResponseParameters doEnvoiCommand() throws ParameterException {
        EnvoiResponseParameters envoiResponseParameters = initResponseParameters();
        envoiResponseParameters.setHtmlPageCode(EnvoiResponseParameters.ENVOIFORM_PAGE);
        return envoiResponseParameters;
    }

}
