/* BasedefichesLib_API - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.album.metadata;

import net.mapeadores.basedefiches.MetadataEditor;
import net.mapeadores.basedefiches.album.ExistingNameException;
import java.text.ParseException;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumMetadataEditor extends MetadataEditor {

    public AlbumMetadata getAlbumMetadata();

    public AlbumDim createAlbumDim(String name, short type) throws ExistingNameException, ParseException;

    public boolean setDim(AlbumDim albumDim, int width, int height);

    public boolean setAlbumDimForUsage(String usageName, AlbumDim albumDim);

}
