/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;

import net.mapeadores.basedefiches.corpus.metadata.FieldKey;


/**
 * Une propriété contient un objet FicheItem et un seul (ou aucun).
 *
 * @author Vincent Calame
 */
public interface Propriete {

    /**
     * N'est jamais nul.
     *
     * @return
     */
    public FieldKey getFieldKey();


    /**
     * N'est jamais nul.
     * @return
     */
    public FicheItem getFicheItem();

}
