/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public class Tr extends IdentifiedFicheBlockList {

    private static final long serialVersionUID = 2L;

    public Tr() {
    }

    public Td getTd(int index) {
        return (Td) getFicheBlock(index);
    }

    public void addTd(Td td) {
        super.addFicheBlock(td);
    }

    @Override
    public boolean isValidFicheBlock(FicheBlock ficheBlock) {
        if (ficheBlock == null) {
            return false;
        }
        if (ficheBlock instanceof Td) {
            return true;
        }
        return false;
    }

}
