/* BasedefichesLib_API - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.croisement;


/**
 *
 * @author Vincent Calame
 */
public interface CroisementEntry {

    public int getIdsubset1();

    public int getIdsubset2();

    /**
     * Doit valoir 1 ou plus
     */
    public int getPoids();

    /**
     * Doit valoir -1 ou plus
     */
    public int getPosition1();

    /**
     * Doit valoir -1 ou plus
     */
    public int getPosition2();

}
