/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.include;

import net.mapeadores.basedefiches.corpus.metadata.IncludeKey;
import net.mapeadores.util.primitives.RangeList;


/**
 *
 * @author Vincent Calame
 */
public interface IncludeSummary {

    public final static short LIAGE_TYPE = 1;
    public final static short INDEXATION_TYPE = 2;

    public int getIncludeKeyInfoCount(short type);

    public IncludeKeyInfo getIncludeKeyInfo(short type, int i);

    public IncludeKeyInfo getIncludeKeyInfo(IncludeKey includeKey);


    public interface IncludeKeyInfo {

        public IncludeKey getIncludeKey();

        public boolean hasPoidsFilter();

        public boolean hasAnyPoidsInclude();

        public RangeList getPoidsFilterRangeList();

    }

}
