/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sphere;

import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.sphere.metadata.SphereMetadata;


/**
 *
 * @author Vincent Calame
 */
public interface Sphere extends Subset {

    public SphereMetadata getSphereMetadata();

    /**
     * Résultat équivalent à (Redacteur) getSubsetItemById()
     */
    public Redacteur getRedacteurByIdsphere(int idsphere);

    public Redacteur getRedacteurByIdsphere(String idsphereString);

}
