/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sphere;

import net.mapeadores.basedefiches.ExistingIdException;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.beans.CourrielBean;
import net.mapeadores.basedefiches.sphere.metadata.SphereMetadataEditor;


/**
 *
 * @author Vincent Calame
 */
public interface SphereEditor {

    public Sphere getSphere();

    public SphereMetadataEditor getSphereMetadataEditor();

    public Redacteur createRedacteur(int idsphere) throws ExistingIdException;

    /**
     * Doit modifier CourrielBean si précédemment courrielBean.getNomComplet.equals(personneBean.getNomComplet());
     */
    public boolean setPersonneBean(Redacteur redacteur, PersonneBean personneBean);

    /**
     * Si courrielBean.getNomComplet() est de longueur nulle, il prend la valeur de getPersonneBean().getNomComplet()
     */
    public boolean setCourrielBean(Redacteur redacteur, CourrielBean courrielBean);

    public boolean removeRedacteur(Redacteur redacteur);

    public boolean setActif(Redacteur redacteur, boolean actif);

}
