/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.thesaurus.metadata;

import net.mapeadores.basedefiches.MetadataEditor;


/**
 *
 * @author Vincent Calame
 */
public interface ThesaurusMetadataEditor extends MetadataEditor {

    /**
     * Retourne <em>true</em> si un changement a vraiment eu lieu.
     * Un changement a lieu si le contenu de la liste est différent de la liste actuelle.
     * Un changement a lieu si l'ordre change.
     *
     *@throws UnsupportedOperationException si le thésaurus est babélien
     *@throws IllegalArgumentException si intList est nul ou de longueur nulle.
     */
    public boolean setAuthorizedLangIntegerArray(int[] array);

}
