/* BasedefichesLib_Export - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.scrutariexport;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusExportDef {

    private SubsetKey thesaurusKey;
    private boolean selected = false;
    private AccoladePattern libellePattern;

    public ThesaurusExportDef(SubsetKey thesaurusKey) {
        this.thesaurusKey = thesaurusKey;
    }

    public SubsetKey getThesaurusKey() {
        return thesaurusKey;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public AccoladePattern getLibellePattern() {
        return libellePattern;
    }

    public void setLibellePattern(AccoladePattern libellePattern) {
        this.libellePattern = libellePattern;
    }

}
