/* BasedefichesLib_Export - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sqlexport;

import java.io.IOException;
import java.io.OutputStream;
import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.tableexport.SubsetTableExport;
import net.mapeadores.basedefiches.tableexport.croisement.CroisementTableExport;
import net.mapeadores.util.logging.ProcessLog;


/**
 *
 * @author Vincent Calame
 */
public interface SqlExport {

    public void setParameter(String name, String value);

    public void setSubsetTableExportArray(SubsetTableExport[] subsetTableExportArray);

    public void setCroisementTableExportArray(CroisementTableExport[] croisementTableExport);

    public void setBasedefiches(Basedefiches basedefiches);

    public ProcessLog exportDump(OutputStream outputStream) throws IOException;

}
