/* BasedefichesLib_Impl - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import java.io.InputStream;
import net.mapeadores.basedefiches.album.AlbumImage;
import net.mapeadores.basedefiches.album.metadata.AlbumDim;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumDataSource {

    public InputStream getInputStream(AlbumImage albumImage, AlbumDim albumDim);

    public void update(AlbumImage albumImage, InputStream inputStream);

}
