/* BasedefichesLib_Impl - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.util.text.AbstractLibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public class BdfimplIntitule extends AbstractLibelleHolder implements Intitule {

    private String name;
    private Metadata metadata;

    public BdfimplIntitule(String name, Metadata metadata, String defaultLib) {
        super(defaultLib);
        this.name = name;
        this.metadata = metadata;
    }

    public String getName() {
        return name;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    protected boolean internalSetLibelle(String nvlibelle, int langInteger) {
        return this.setLibelle(nvlibelle, langInteger);
    }

}
