/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.*;
import net.mapeadores.basedefiches.corpus.metadata.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultGeopointSubfieldsElement extends AbstractCorpusFieldElement implements GeopointSubfieldsElement {

    private String latitude = "";
    private String longitude = "";
    private String[] adresseFieldNameArray;

    public DefaultGeopointSubfieldsElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String[] getAdresseFieldNameArray() {
        return adresseFieldNameArray;
    }

    public void setAdresseFieldNameArray(String[] adresseFieldNameArray) {
        this.adresseFieldNameArray = adresseFieldNameArray;
    }

}
