/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.*;
import net.mapeadores.basedefiches.include.*;
import net.mapeadores.basedefiches.thesaurus.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultNotEditableIndexationElement extends AbstractIncludeElement implements NotEditableIndexationElement {

    private int workingLangInteger;
    private String idalphaSeparator;
    private Set<Motcle> selectedMotcleSet;

    public DefaultNotEditableIndexationElement(FilteredIncludeKey filteredIncludeKey) {
        super(filteredIncludeKey);
    }

    public int getWorkingLangInteger() {
        return workingLangInteger;
    }

    public void setWorkingLangInteger(int workingLangInteger) {
        this.workingLangInteger = workingLangInteger;
    }

    public String getIdalphaSeparator() {
        return idalphaSeparator;
    }

    public void setIdalphaSeparator(String idalphaSeparator) {
        this.idalphaSeparator = idalphaSeparator;
    }

    public Set<Motcle> getSelectedMotcleSet() {
        return selectedMotcleSet;
    }

    public void setSelectedMotcleSet(Set<Motcle> selectedMotcleSet) {
        this.selectedMotcleSet = selectedMotcleSet;
    }

}
