/* BdfServer - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.balayages.Balayage;
import java.io.IOException;
import java.io.InputStream;
import javax.xml.transform.Source;


/**
 *
 * @author Vincent Calame
 */
public interface BalayagesStorage {

    public int getBalayageCount();

    public Balayage getBalayage(int i);

    public void update();

    public Balayage getBalayage(String name);

    public InputStream getExtractionInputStream(String name, String extractionPath) throws IOException;

    public Source getTransformerSource(String name, String xsltPath);

}
