/* BdfServer - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public interface BdfExtensionStorage {

    /**
     * Retourne un répertoire existant ou nul
     */
    public File getConfigDirectory(String extensionName);

    /**
     * Retourne un répertoire existant ou nul
     */
    public File getDataDirectory(String extensionName);

}
