/* BdfServer - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.xml;


/**
 *
 * @author Vincent Calame
 */
public interface UiErrorHandler {

    public void unknownTagWarning(String tagName);

    public void emptyAttributeError(String tagName, String attributeName);

    public void attributeSyntaxError(String tagName, String type, String attributeValue);

    public void emptyTagError(String tagName);

    public void textSyntaxError(String tagName, String text);

    public void unknownKeyError(String tagName, Object key);

}
