/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.CommandBox;

/**
 *
 * @author Vincent Calame
 */
public class SphereCreationFormHtmlProducer extends BdfHtmlProducer implements SphereHtmlConstants {

    public SphereCreationFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        setCssThemeFile("sphere.css");
    }

    public void printHtml() {
        start();
        printMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Sphere");
        commandBox.setCommandFamily("SPH");
        commandBox.setPage(SPHEREMETADATAFORM_PAGE);
        commandBox.setErrorPage(SPHERECREATIONFORM_PAGE);
        SphereCommandBoxUtils.printSphereCreationBox(this, commandBox);
        end();
    }
}
