function PCH_ImageSource () {

}

PCH_ImageSource.tempFileName = "";

PCH_ImageSource.init = function () {
    PCH_Core.setOkEnabled (false);
    var formEl = $("#ID_IMAGESOURCE_FORMDIV form");
    formEl.ajaxForm({
        dataType:  'json',
        success:   PCH_ImageSource.processJson
    });
    PCH_Utils.appendDataType(formEl, "jsonh");
    $("#ID_PIOCHE_OK").click(PCH_ImageSource.validation);
    $("#ID_PIOCHE_CANCEL").click(PCH_ImageSource.annulation);
}

PCH_ImageSource.processJson = function (data) {
    if (data.noOutput) {
        alert("noOutput !");
        return;
    }
    if (data.commandMessage) {
        alert(data.commandMessage.text);
        return;
    }
    PCH_ImageSource.tempFileName = data.tempFileName;
    var resultHtml = "<p>" + data.text + "</p><p>" + "<img src=\"" + data.tempFileSrc + "\"></p>";
    $("#ID_IMAGESOURCE_FORMDIV").hide();
    var resultDiv =  $("#ID_IMAGESOURCE_RESULTDIV");
    resultDiv.append(resultHtml);
    PCH_Core.setOkEnabled (true);
}

PCH_ImageSource.annulation = function () {
    if (PCH_ImageSource.tempFileName.length > 0) {
        jQuery.getJSON(PCH_ImageSource.getUrl("cancel"), PCH_Core.annulation);
    } else {
        PCH_Core.annulation();
    }
}

PCH_ImageSource.validation = function () {
    jQuery.getJSON(PCH_ImageSource.getUrl("confirm"), PCH_ImageSource.apresValidation);
}

PCH_ImageSource.apresValidation = function (data) {
    window.opener.FF_ImageSource.update(PCH_Core.getAppelantId(), data.albumImageName, data.albumImageSrc);
    window.close();
}

PCH_ImageSource.getUrl = function (action, callback) {
    var imagefield = $("input[name='imagefield']").fieldValue();
    var url = "Pioche?category=imagesource&datatype=json&action=" + action + "&imagefield=" + imagefield[0]
    + "&tempfilename=" + PCH_ImageSource.tempFileName;
    return url;
}

$(function () {
    PCH_ImageSource.init();
});