/* BdfServer_Interaction - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.extension;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.instruction.BdfInstruction;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public interface BdfExtension {

    public BdfContext getBdfContext();

    public BdfExtensionContext getBdfExtensionContext();

    public BdfInstruction getBdfInstruction(String extensionPath, RequestMap requestMap);

    /**
     * Construit l'instance d'une classe identifiée par l'argument classKey.
     * La définition des valeurs possibles de classKey est à la discrétion de l'extension
     * Retourne null si sans objet.     * 
     */
    public Object newInstance(String classKey, Object parameters);

}
