/* ScrutariDataExport - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.dataexport.api;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusMetadataExport {

    public final static int INTITULE_CORPUS = 1;
    public final static int INTITULE_FICHE = 2;

    public void setCorpusType(String corpusType);

    public void setCorpusIcon(String corpusIcon);

    public void setHrefParent(String hrefParent);

    public void setIntitule(int intituleType, String lang, String intituleValue);

    public int addComplement();

    public void setComplementIntitule(int complementNumber, String lang, String intituleValue);

}
