/* ScrutariDataExport - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */

package net.scrutari.dataexport.api;


/**
 *
 * @author Vincent Calame
 */
public interface FicheExport {

    public void setTitre(String titre);

    public void setSoustitre(String soustitre);

    public void setDate(String date);

    public void setLang(String lang);

    public void setHref(String href);

    public void setFicheType(String ficheType);

    public void setFicheIcon(String ficheIcon);

    public void setGeoloc(String latitude, String longitude);

    public void addComplement(int complementNumber, String complementValue);

}

