/* UtilLib - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.attr;


/**
 *
 * @author Vincent Calame
 */
public class AttributeUtils {

    private AttributeUtils() {
    }

    public static boolean isEqual(GenericAttribute attr1, GenericAttribute attr2) {
        boolean test1 = attr1.getKey().equals(attr2.getKey());
        if (!test1) {
            return false;
        }
        if (attr1 instanceof SimpleAttribute) {
            if (attr2 instanceof SimpleAttribute) {
                return ((SimpleAttribute) attr1).getValue().equals(((SimpleAttribute) attr2).getValue());
            }
        }
        return false;
    }

}
