/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class LocalisationInfoBean implements Serializable {

    private String workingLang;
    private String formatLang;
    private String formatCountry;

    public LocalisationInfoBean() {
    }

    public String getWorkingLang() {
        return workingLang;
    }

    public void setWorkingLang(String workingLang) {
        this.workingLang = workingLang;
    }

    public String getFormatLang() {
        return formatLang;
    }

    public void setFormatLang(String formatLang) {
        this.formatLang = formatLang;
    }

    public String getFormatCountry() {
        return formatCountry;
    }

    public void setFormatCountry(String formatCountry) {
        this.formatCountry = formatCountry;
    }

}
