/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;


/**
 *
 * @author Vincent Calame
 */
public class MutableProcessLog extends AbstractProcessLog {

    URILog currentURILog = null;

    public MutableProcessLog() {
    }

    public void setCurrentURI(ProcessURI processURI) {
        URILog uriLog = getURILog(processURI.getProcessURIString());
        if (uriLog == null) {
            uriLog = new URILog(processURI);
            putURILog(uriLog);
        }
        currentURILog = uriLog;
    }

    public ProcessLogItem newLogItemInstance() {
        ProcessLogItem logItem = currentURILog.newProcessLogItem();
        currentURILog.add(logItem);
        return logItem;
    }

}
