/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml.xmlpull;

import java.util.Map;


/**
 *
 * @author Vincent Calame
 */
public interface XmlPullElementHandler {

    public void processStartElement(String tagname, Map<String, String> attributeMap);

    public boolean processEndElement(String tagname);

    public void processText(String text);

}
